/** 
 * DevExtreme (core/utils/storage.js)
 * Version: 16.1.12
 * Build date: Wed May 17 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: DevExtreme Complete, DevExtreme Mobile, DevExtreme Web
 */
"use strict";
define(function(require, exports, module) {
    var getSessionStorage = function() {
        var sessionStorage;
        try {
            sessionStorage = window.sessionStorage
        } catch (e) {}
        return sessionStorage
    };
    exports.sessionStorage = getSessionStorage
});
