/** 
 * DevExtreme (ui/scheduler/ui.scheduler.publisher_mixin.js)
 * Version: 16.1.12
 * Build date: Wed May 17 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: DevExtreme Complete, DevExtreme Web
 */
"use strict";
define(function(require, exports, module) {
    var publisherMixin = {
        notifyObserver: function(subject, args) {
            var observer = this.option("observer");
            if (observer) {
                observer.fire(subject, args)
            }
        },
        invoke: function() {
            var observer = this.option("observer");
            if (observer) {
                return observer.fire.apply(observer, arguments)
            }
        }
    };
    module.exports = publisherMixin
});
